- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# MFnPhongEShader Class Reference

# OpenMaya - API module for common classes | FunctionSet classes

Search for all occurrences

## Detailed Description

Manage phongE shaders.

MFnPhongEShader facilitates creation and manipulation of dependency graph nodes representing phongE shaders.

`#include <MFnPhongEShader.h>`

Inheritance diagram for MFnPhongEShader:
[legend]

List of all members.

## Public Member Functions
virtual MFn::Type | type () const
| Function set type.
virtual | ~MFnPhongEShader ()
| Destructor.
| MFnPhongEShader ()
| Default constructor.
| MFnPhongEShader (MObject &object, MStatus *ReturnStatus=NULL)
| Constructor.
MObject | create (bool UIvisible=true, MStatus *ReturnStatus=NULL)
| Creates a new layered shader dependency graph node and adds it to the dependency graph.
float | roughness (MStatus *ReturnStatus=NULL) const
| Retrieves the value of the "roughness" attribute of a shader node.
MStatus | setRoughness (const float &roughness)
| Sets the value of the "roughness" attribute of a shader node.
float | highlightSize (MStatus *ReturnStatus=NULL) const
| Retrieves the value of the "highlightSize" attribute of a shader node.
MStatus | setHighlightSize (const float &highlight_size)
| Sets the value of the "highlightSize" attribute of a shader node.
MColor | whiteness (MStatus *ReturnStatus=NULL) const
| Retrieves the value of the "whiteness" attribute of a shader node.
MStatus | setWhiteness (const MColor &whiteness)
| Sets the value of the "whiteness" attribute of a shader node.
| MFnPhongEShader (const MObject &object, MStatus *ReturnStatus=NULL)
| Constructor.
## Protected Member Functions
virtual const char * | className () const
| Class name.

## Constructor & Destructor Documentation

MFnPhongEShader | ( | MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

MFnPhongEShader | ( | const MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

## Member Function Documentation

MFn::Type type | ( |  | ) | const `[virtual]`

Search for all occurrences

Function set type.

Return the class type : MFn::kPhongExplorer.

Reimplemented from MFnDependencyNode.

const char * className | ( |  | ) | const `[protected, virtual]`

Search for all occurrences

Class name.

Return the class name : "MFnPhongEShader".

Reimplemented from MFnDependencyNode.

MObject create | ( | bool | UIvisible = `true`,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Search for all occurrences

Creates a new layered shader dependency graph node and adds it to the dependency graph.

If the UIvisible parameter is true, the new node will be connected to the shader classification node (which allows the UI to recognize the node as a shader). If UIvisible is false, the node will be created in isolation.

Parameters:

  [in] | UIvisible | determines whether or not the new node will be connected to the shader classification node.
  [out] | ReturnStatus | return status

Returns:
  MObject representing the new dependency node.

Status Codes:
  - MS::kSuccess operation successful
  - MS::kInsufficientMemory ran out of memory
  - MS::kNoModelActive no model is currently active
  - MS::kLicenseFailure application not licensed for attempted operation
  - MS::kFailure the new node could not be created, or the new node could not be added to the dependency graph, or the new node could not be connected to the classification node.

float roughness | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Retrieves the value of the "roughness" attribute of a shader node.

Parameters:

  [out] | ReturnStatus | return status

Returns:
  The value of the "roughness" attribute of the shader node.

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure function set does not have a valid object.

MStatus setRoughness | ( | const float & | roughness | ) |

Search for all occurrences

Sets the value of the "roughness" attribute of a shader node.

Parameters:

  [in] | roughness | value to which the attribute will be set.

Returns:
  Return status

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure function set does not have a valid object,

float highlightSize | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Retrieves the value of the "highlightSize" attribute of a shader node.

This attribute represents the surface color of the shader.

Parameters:

  [out] | ReturnStatus | return status

Returns:
  The value of the "highlightSize" attribute of the shader node.

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure function set does not have a valid object.

MStatus setHighlightSize | ( | const float & | highlight_size | ) |

Search for all occurrences

Sets the value of the "highlightSize" attribute of a shader node.

Parameters:

  [in] | highlight_size | value to which the attribute will be set.

Returns:
  Return status

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure function set does not have a valid object,

MColor whiteness | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Retrieves the value of the "whiteness" attribute of a shader node.

This attribute represents the surface transparency of the shader.

Parameters:

  [out] | ReturnStatus | return status

Returns:
  The value of the "whiteness" attribute of the shader node.

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure function set does not have a valid object.

MStatus setWhiteness | ( | const MColor & | whiteness | ) |

Search for all occurrences

Sets the value of the "whiteness" attribute of a shader node.

Parameters:

  [in] | whiteness | value to which the attribute will be set.

Returns:
  Return status

Status Codes:
  - MS::kSuccess operation successful
  - MS::kFailure function set does not have a valid object,

MFnPhongEShader MFnPhongEShader MFnPhongEShader MFnPhongEShader MFnPhongEShader MFnPhongEShader MFnPhongEShader MFnPhongEShader MFnPhongEShader MFnPhongEShader
MFnPhongEShader MFnPhongEShader MFnPhongEShader MFnPhongEShader MFnPhongEShader MFnPhongEShader MFnPhongEShader MFnPhongEShader MFnPhongEShader MFnPhongEShader